%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}

%define version 0.7.4
%define rel 2
%define         _glib2          1.3.12
%define major 0.7_2
%define majorminor 0.7
%define bname gstreamer%majorminor
%define name %bname-plugins
%define libgstgconf %mklibname gstgconf %major
%define libname %mklibname gstreamer-plugins %major

%define build_dxr3 1
%define build_windec 0
%define build_lame 0
%define build_libfame 0
%define build_faac 0
%define build_faad 0
%define build_xvid 0
%define build_qcam 0
%define build_jpegmmx 1
%define build_caca 1
%define build_v4l2 0

%ifarch %ix86
%define build_qcam 1
%endif

%if %build_plf
%define release	%{rel}plf
%define build_lame 1
%define build_libfame 1
%define build_faac 1
%define build_faad 1
%define build_xvid 1
%else
%define	release	%{rel}mdk
%endif

Summary: 	GStreamer Streaming-media framework plug-ins
Name: 		%name
Version: 	%version
Release: 	%release
License: 	LGPL
Group: 		Sound
Source: 	gst-plugins-%{version}.tar.bz2
Patch4:		gstreamer-plugins-0.4.2-ppc.patch.bz2
URL:            http://sourceforge.net/projects/gstreamer/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root 
Provides:	%bname-plugin-libs
Obsoletes:	%bname-plugin-libs
PreReq: gstreamer0.7-tools >= %{version}
#gw for the pixbuf plugin
BuildRequires:  gtk+2-devel
BuildRequires:  glib2-devel >= %_glib2 
BuildRequires: libpng-devel >= 1.2.4-4mdk
%ifarch %ix86
BuildRequires: nasm => 0.90
%endif
%if %build_caca
BuildRequires: libcaca-devel
%endif
BuildRequires: libgstreamer-devel = %{version} 
BuildRequires: autoconf2.5
Provides:	%bname-v4l
Obsoletes:	%bname-v4l
Obsoletes:	%bname-deinterlace
Provides:	%bname-deinterlace
Provides:	%bname-misc
Obsoletes:	%bname-misc
Provides:	%bname-video-effects
Obsoletes:	%bname-video-effects
Provides:	%bname-rtp
Obsoletes:	%bname-rtp
Provides:	%bname-audio-effects
Obsoletes:	%bname-audio-effects
Provides:	%bname-flx
Obsoletes:	%bname-flx
Provides:	%bname-udp
Obsoletes:	%bname-udp
Provides:	%bname-vcd
Obsoletes:	%bname-vcd
Obsoletes:	%bname-yuv4mjpeg
Provides:	%bname-yuv4mjpeg
Obsoletes:	%bname-cdplayer
Provides:	%bname-cdplayer
Provides:	%bname-videotest
Obsoletes:	%bname-videotest
Provides:	%bname-snapshot
Obsoletes:	%bname-snapshot
Provides:	%bname-libpng
Obsoletes:	%bname-libpng
Provides:	%bname-oss
Obsoletes:	%bname-oss
Provides:	%bname-audiosrc
Provides:	%bname-audiosink
%if ! %build_v4l2
Obsoletes: %bname-v4l2
%endif

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

%prep
%setup -q -n gst-plugins-%{version}
%patch4 -p1 -b .ppc

%build
export CFLAGS="%optflags -DHAVE_FFMPEG_UNINSTALLED"
export CPPFLAGS="-I%_includedir/arts"
autoconf
%define __libtoolize true
%configure2_5x --disable-dependency-tracking \
  --enable-DEBUG --enable-debug \
%if ! %build_dxr3
	--disable-dxr3 \
%endif
%if ! %build_lame
	--disable-lame \
%endif
%if ! %build_libfame
	--disable-libfame \
%endif
%if ! %build_qcam
	--disable-qcam \
%endif
%if ! %build_jpegmmx
	--disable-mpeg2enc \
%endif
%if ! %build_xvid
	--disable-xvid \
%endif
%if ! %build_faac
	--disable-faac \
%endif
%if ! %build_faad
	--disable-faad \
%endif
%if ! %build_v4l2
	--disable-v4l2 \
%endif


make ARTS_CXXFLAGS='-I%_includedir/artsc -I%_includedir/arts -I%_includedir/glib-2.0 -I%_libdir/glib-2.0/include'

%install
rm -rf %buildroot
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
#gw this would conflict with stable gstreamer-GConf
mv %buildroot/%{_sysconfdir}/gconf/schemas/gstreamer.schemas %buildroot/%{_sysconfdir}/gconf/schemas/%bname.schemas
%find_lang gst-plugins-%majorminor
# Clean out files that should not be part of the rpm.
# This is the recommended way of dealing with it for RH8
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_includedir}/gstreamer-%{majorminor}/gst/media-info/media-info.h
rm -f $RPM_BUILD_ROOT%{_libdir}/libgstmedia-info*.so*
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/2.2.0/loaders/gst_loader.la

%clean
rm -rf $RPM_BUILD_ROOT

%files -f gst-plugins-%majorminor.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README NEWS
%{_bindir}/gst-launch-ext-%majorminor
%{_bindir}/gst-visualise-%majorminor
%{_mandir}/man1/gst-launch-ext-%majorminor.1*
%{_mandir}/man1/gst-visualise-%majorminor.1*
%{_libdir}/gstreamer-%{majorminor}/libgstaudioscale.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudio.so
%{_libdir}/gstreamer-%{majorminor}/libgstidct.so
%{_libdir}/gstreamer-%{majorminor}/libgstresample.so
%{_libdir}/gstreamer-%{majorminor}/libgstriff.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideo.so
# non-core plugins without external dependencies
%{_libdir}/gstreamer-%{majorminor}/libgstaudioconvert.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudiofilter.so
%{_libdir}/gstreamer-%{majorminor}/libgstefence.so
%{_libdir}/gstreamer-%{majorminor}/libgstgamma.so
%{_libdir}/gstreamer-%{majorminor}/libgstmatroska.so
%{_libdir}/gstreamer-%{majorminor}/libgsteffectv.so
%{_libdir}/gstreamer-%{majorminor}/libgstdeinterlace.so
%{_libdir}/gstreamer-%{majorminor}/libgstmedian.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtjpeg.so
%{_libdir}/gstreamer-%{majorminor}/libgstvbidec.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideocrop.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideoscale.so
%{_libdir}/gstreamer-%{majorminor}/libgstsmpte.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtp.so
%{_libdir}/gstreamer-%{majorminor}/libgstsinesrc.so
%{_libdir}/gstreamer-%{majorminor}/libgstsilence.so
%{_libdir}/gstreamer-%{majorminor}/libgststereo.so
%{_libdir}/gstreamer-%{majorminor}/libgstvolume.so
%{_libdir}/gstreamer-%{majorminor}/libgstvolenv.so
%{_libdir}/gstreamer-%{majorminor}/libgstplayondemand.so
%{_libdir}/gstreamer-%{majorminor}/libgstspeed.so
%{_libdir}/gstreamer-%{majorminor}/libgstadder.so
%{_libdir}/gstreamer-%{majorminor}/libgstalaw.so
%{_libdir}/gstreamer-%{majorminor}/libgstintfloat.so
%{_libdir}/gstreamer-%{majorminor}/libgstlevel.so
%{_libdir}/gstreamer-%{majorminor}/libgstmulaw.so
%{_libdir}/gstreamer-%{majorminor}/libgstoneton.so
%{_libdir}/gstreamer-%{majorminor}/libgstpassthrough.so
%{_libdir}/gstreamer-%{majorminor}/libgstcutter.so
%{_libdir}/gstreamer-%{majorminor}/libgstfilter.so
%{_libdir}/gstreamer-%{majorminor}/libmixmatrix.so
%{_libdir}/gstreamer-%{majorminor}/libgstflxdec.so
%{_libdir}/gstreamer-%{majorminor}/libgsttcp.so
%{_libdir}/gstreamer-%{majorminor}/libgstnavigationtest.so
%{_libdir}/gstreamer-%{majorminor}/libgstoverlay.so
%{_libdir}/gstreamer-%{majorminor}/libgstrmdemux.so
%{_libdir}/gstreamer-%{majorminor}/libgsttypefindfunctions.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideo4linux.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideobalance.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideodrop.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideofilter.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideoflip.so
%{_libdir}/gstreamer-%{majorminor}/libgstudp.so
%{_libdir}/gstreamer-%{majorminor}/libgstvcdsrc.so
%{_libdir}/gstreamer-%{majorminor}/libgstcdxaparse.so
%{_libdir}/gstreamer-%{majorminor}/libgsty4menc.so
%{_libdir}/gstreamer-%{majorminor}/libgstcdplayer.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideotestsrc.so
%{_libdir}/gstreamer-%{majorminor}/libgstossaudio.so
%{_libdir}/gstreamer-%{majorminor}/libgstswitch.so
%{_libdir}/gstreamer-%{majorminor}/libgsttagediting.so
%if %build_caca
%{_libdir}/gstreamer-%{majorminor}/libgstcacasink.so
%endif
# libpng dependant
%{_libdir}/gstreamer-%{majorminor}/libgstsnapshot.so
%{_libdir}/gstreamer-%{majorminor}/libgstpng.so

%package -n %bname-x11
Group: 		System/Libraries
Summary: 	GStreamer X11 support plugins
Requires:	%bname-plugins
Provides:	%bname-xvideosink
Obsoletes:	%bname-xvideosink

%description -n %bname-x11
This package contain the X11 support plugins for GStreamer. It
includes window, XV and text overlay support.

%files -n %bname-x11
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgsttextoverlay.so
%{_libdir}/gstreamer-%{majorminor}/libgsttimeoverlay.so
%{_libdir}/gstreamer-%{majorminor}/libgstximagesink.so
%{_libdir}/gstreamer-%{majorminor}/libgstxvideosink.so
%{_libdir}/gstreamer-%{majorminor}/libgstxvimagesink.so
%{_libdir}/gstreamer-%{majorminor}/libgstxwindowlistener.so*

%post -n %bname-x11
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null

%postun -n %bname-x11
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%package -n %bname-gdkpixbuf
Group: 		System/Libraries
Summary: 	GStreamer gdk-pixbuf libraries.
Requires:	%bname-avi
Requires:	%bname-mpeg

%description -n %bname-gdkpixbuf
This package contain the gdk-pixbuf loader for gstreamer.

%files -n %bname-gdkpixbuf
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstgdkpixbuf.so
#%_libdir/gtk-2.0/2.2.0/loaders/gst_loader.so

%post -n %bname-gdkpixbuf
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null
#%{_bindir}/gdk-pixbuf-query-loaders >  %_sysconfdir/gtk-2.0/gdk-pixbuf.loaders

%postun -n %bname-gdkpixbuf
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null
#%{_bindir}/gdk-pixbuf-query-loaders >  %_sysconfdir/gtk-2.0/gdk-pixbuf.loaders




%package -n %libname
Group: 		System/Libraries
Summary: 	GStreamer plugin libraries.

%description -n %libname
This package contain the basic audio and video playback library and
the interfaces library.

%files -n %libname
%defattr(-, root, root)
%{_libdir}/libgstplay-%{majorminor}.so.*
%_libdir/libgstinterfaces-%majorminor.so.*

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%package -n %libname-devel
Summary: 	GStreamer Plugin Library Headers.
Group: 		Development/C
Requires: 	%{libname} = %{version}-%release
Requires:	%libname = %version-%release
Requires:	%libgstgconf = %version-%release
Requires:	libgstreamer-devel = %version 
Provides:	%bname-play-devel = %{version}-%release
Provides:	%bname-gconv-devel = %{version}-%release
Provides:	gstreamer-plugins-devel = %version-%release
Provides:	%bname-devel = %version-%release
Provides:	libgstreamer-plugins-devel = %version-%release
Provides:	libgstreamer-plugins0.7-devel = %version-%release
Provides:	libgstreamer0.7-plugins-devel = %version-%release

%description -n %libname-devel
GStreamer support libraries header files.

%files -n %libname-devel
%defattr(-, root, root)
%dir %{_includedir}/gstreamer-%{majorminor}/gst/audio/
%{_includedir}/gstreamer-%{majorminor}/gst/audio/audioclock.h
%{_includedir}/gstreamer-%{majorminor}/gst/audio/gstaudiofilter.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/colorbalance/
%{_includedir}/gstreamer-%{majorminor}/gst/colorbalance/colorbalance.h
%{_includedir}/gstreamer-%{majorminor}/gst/colorbalance/colorbalancechannel.h
%{_includedir}/gstreamer-%{majorminor}/gst/colorbalance/colorbalance-enumtypes.h
%{_includedir}/gstreamer-%{majorminor}/gst/colorbalance/colorbalance-marshal.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/mixer/
%{_includedir}/gstreamer-%{majorminor}/gst/mixer/mixer.h
%{_includedir}/gstreamer-%{majorminor}/gst/mixer/mixer-enumtypes.h
%{_includedir}/gstreamer-%{majorminor}/gst/mixer/mixer-marshal.h
%{_includedir}/gstreamer-%{majorminor}/gst/mixer/mixertrack.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/navigation/
%{_includedir}/gstreamer-%{majorminor}/gst/navigation/navigation.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/play
%{_includedir}/gstreamer-%{majorminor}/gst/play/play.h
%{_includedir}/gstreamer-%{majorminor}/gst/play/play-enumtypes.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/propertyprobe/
%{_includedir}/gstreamer-%{majorminor}/gst/propertyprobe/propertyprobe.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/riff/
%{_includedir}/gstreamer-%{majorminor}/gst/riff/riff-ids.h
%{_includedir}/gstreamer-%{majorminor}/gst/riff/riff-media.h
%{_includedir}/gstreamer-%{majorminor}/gst/riff/riff-read.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/tag/
%{_includedir}/gstreamer-%{majorminor}/gst/tag/tag.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/tuner/
%{_includedir}/gstreamer-%{majorminor}/gst/tuner/tuner.h
%{_includedir}/gstreamer-%{majorminor}/gst/tuner/tunerchannel.h
%{_includedir}/gstreamer-%{majorminor}/gst/tuner/tunernorm.h
%{_includedir}/gstreamer-%{majorminor}/gst/tuner/tuner-enumtypes.h
%{_includedir}/gstreamer-%{majorminor}/gst/tuner/tuner-marshal.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/video/
%{_includedir}/gstreamer-%{majorminor}/gst/video/gstvideosink.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/xoverlay/
%{_includedir}/gstreamer-%{majorminor}/gst/xoverlay/xoverlay.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/xwindowlistener/
%{_includedir}/gstreamer-%{majorminor}/gst/xwindowlistener/xwindowlistener.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/gconf/
%{_includedir}/gstreamer-%{majorminor}/gst/gconf/gconf.h
%{_includedir}/gstreamer-%{majorminor}/gst/audio/audio.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/floatcast/
%{_includedir}/gstreamer-%{majorminor}/gst/floatcast/floatcast.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/idct/
%{_includedir}/gstreamer-%{majorminor}/gst/idct/idct.h
%dir %{_includedir}/gstreamer-%{majorminor}/gst/resample/
%{_includedir}/gstreamer-%{majorminor}/gst/resample/resample.h
%{_includedir}/gstreamer-%{majorminor}/gst/video/video.h
%{_libdir}/pkgconfig/gstreamer-libs-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-play-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-gconf-%{majorminor}.pc
##
%{_libdir}/pkgconfig/gstreamer-interfaces-%majorminor.pc
%{_libdir}/libgstgconf-%{majorminor}.so
%{_libdir}/libgstplay-%{majorminor}.so
##
%_libdir/libgstinterfaces-%majorminor.so

# Here are all the packages depending on external libs #
### A52DEC ###
%package -n %bname-a52dec
Summary: GStreamer VOB decoder plugin
Group: Sound
Requires: %bname-plugins = %{version}-%release
BuildRequires: a52dec-devel >= 0.7.3

%description -n %bname-a52dec
Plugin for decoding of VOB files

%files -n %bname-a52dec
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgsta52dec.so
%{_libdir}/gstreamer-%{majorminor}/libgstac3parse.so

%post -n %bname-a52dec
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-a52dec
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


### AALIB ###
%package -n %bname-aalib
Summary: Gstreamer plugin for Ascii-art output
Group: Video
BuildRequires: aalib-devel >= 1.3
Requires: %bname-plugins = %{version}-%release

%description -n %bname-aalib
Plugin for viewing movies in Ascii-art using aalib library.

%files -n %bname-aalib
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstaasink.so

%post -n %bname-aalib
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-aalib
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


### ALSA ###
%package -n %bname-alsa
Summary: GStreamer plug-ins for the ALSA sound architecture
Group: Sound
Requires: %bname-plugins = %{version}-%release
Provides:	%bname-audiosrc
Provides:	%bname-audiosink


%description -n %bname-alsa
Input and output plugin for the ALSA soundcard driver architecture.

%files -n %bname-alsa
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstalsa.so

%post -n %bname-alsa
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-alsa
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


### ARTS WRAPPER ###
%package -n %bname-arts
Summary:       GStreamer arts wrapper plug-in.
Group:         Sound
Requires:      %bname-plugins = %{version}-%release
BuildRequires: libarts-devel

%description -n %bname-arts
This plug-in wraps arts plug-ins.

%files -n %bname-arts
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstarts.so

%post -n %bname-arts
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-arts
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


### ARTSD SOUND SERVER ###
%package -n %bname-artsd
Summary:  GStreamer artsd output plug-in.
Group:    Sound
Requires: %bname-plugins = %{version}-%release

%description -n %bname-artsd
Plug-in for outputting to artsd sound server.

%files -n %bname-artsd
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstartsdsink.so

%post -n %bname-artsd
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-artsd
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


### SWFDEC FLASH PLUGIN ###
%package -n %bname-swfdec
Summary:  GStreamer Flash redering plug-in.
Group:    System/Libraries
Requires: %bname-plugins = %{version}-%release
BuildRequires: libswfdec-devel => 0.1.3.1

%description -n %bname-swfdec
Plug-in for rendering Flash animations using swfdec library

%files -n %bname-swfdec
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstswfdec.so

%post -n %bname-swfdec
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-swfdec
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


### AUDIOFILE ###
%package -n %bname-audiofile
Summary: GStreamer plugin audiofile support
Group: Sound
Requires: %bname-plugins = %{version}-%release
BuildRequires: audiofile-devel >= 0.2.3-4mdk

%description -n %bname-audiofile
Plugin for supporting reading and writing all files audiofile support

%files -n %bname-audiofile
%defattr(-, root, root)
%doc ext/audiofile/README
%{_libdir}/gstreamer-%{majorminor}/libgstaudiofile.so

%post -n %bname-audiofile
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-audiofile
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%package -n %bname-sndfile
Summary: GStreamer plugin sndfile support
Group: Sound
Requires: %bname-plugins = %{version}-%release
BuildRequires: libsndfile-devel 

%description -n %bname-sndfile
Plugin for supporting reading and writing audio files with the sndfile library.

%files -n %bname-sndfile
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstsndfile.so

%post -n %bname-sndfile
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-sndfile
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


### AVI ###
%package -n %bname-avi
Summary:       GStreamer plug-in for AVI movie playback.
Group:         Video
Requires:      %bname-plugins = %{version}-%release
Requires:      %bname-colorspace = %{version}-%release

%description -n %bname-avi
Plug-ins for playback of AVI format media files.

%files -n %bname-avi
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstavi.so

%post -n %bname-avi
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-avi
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


### AVIFILE ###
%if %build_windec
%package -n %bname-windec
Summary:       GStreamer plug-in for Windows DLL loading
Group:         Video
Requires:      %bname-plugins = %{version}
Requires:      win32-codecs
BuildRequires: libavifile-devel

%description -n %bname-windec
Plug-ins for playback for loading window DLL files. 
Needed for playback of some  AVI format media files.

%files -n %bname-windec
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstwincodec.so

%post -n %bname-windec
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-windec
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null
%endif

### CDPARANOIA ###
%package -n %bname-cdparanoia
Summary: Gstreamer plugin for CD audio input using CDParanoia IV
Group: Sound
Requires: %bname-plugins = %{version}-%release
BuildRequires: libcdda-devel

%description -n %bname-cdparanoia
Plugin for ripping audio tracks using cdparanoia under GStreamer

%files -n %bname-cdparanoia
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstcdparanoia.so

%post -n %bname-cdparanoia
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-cdparanoia
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


### DVDREAD ###
%package -n %bname-libdvdread
Summary: GStreamer plug-ins for DVD playback using libdvdread.
Group: Video
Obsoletes:     %bname-libdvd
Provides:      %bname-libdvd
Requires: %bname-plugins = %{version}-%release
BuildRequires: libdvdread-devel >= 0.9.4

%description -n %bname-libdvdread
Plug-in for reading DVDs using libdvdread under GStreamer.

%files -n %bname-libdvdread
%defattr(-, root, root)
%doc ext/dvdread/README
%{_libdir}/gstreamer-%{majorminor}/libgstdvdreadsrc.so

%post -n %bname-libdvdread
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-libdvdread
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


### DVDNAV ###
%package -n %bname-libdvdnav
Summary: GStreamer plug-in for DVD navigation support.
Group: Video
Requires: %bname-plugins = %{version}-%release
Provides: %bname-dvdnav
Obsoletes: %bname-dvdnav
BuildRequires: libdvdnav-devel >= 0.1.9

%description -n %bname-libdvdnav
Plug-in for reading DVDs using libdvdnav  under GStreamer.

%files -n %bname-libdvdnav
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstdvdnavsrc.so

%post -n %bname-libdvdnav
%{_bindir}/gst-register-%{majorminor} > /dev/null


%postun -n %bname-libdvdnav
%{_bindir}/gst-register-%{majorminor} > /dev/null


## DXR3 ###
%if %build_dxr3
%package -n %bname-dxr3
Summary:       GStreamer plug-in for playback using dxr3 card.
Group:         Video
Requires:      %bname-plugins = %{version}-%release
BuildRequires: libdxr3-devel => 0.12.0

%description -n %bname-dxr3
Plug-in supporting DVD playback using cards
with the dxr3 chipset like Hollywood Plus
and Creative Labs DVD cards.

%files -n %bname-dxr3
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstdxr3.so

%post -n %bname-dxr3
%{_bindir}/gst-register-%{majorminor} > /dev/null


%postun -n %bname-dxr3
%{_bindir}/gst-register-%{majorminor} > /dev/null

%endif

### ESD ###
%package -n %bname-esound
Summary: Gstreamer plugin for ESD sound output
Group: Sound
Obsoletes:     %bname-esd
Provides:      %bname-esd
Requires: esound >= 0.2.8
BuildRequires: libesound-devel >= 0.2.8
Requires: %bname-plugins = %{version}-%release
Provides:	%bname-audiosrc
Provides:	%bname-audiosink

%description -n %bname-esound
Output plugin for GStreamer for use with the esound package

%files -n %bname-esound
%defattr(-, root, root)
%doc ext/esd/README
%{_libdir}/gstreamer-%{majorminor}/libgstesd.so

%post -n %bname-esound
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-esound
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%package -n %bname-mas
Summary: Gstreamer output plugin for the MAS sound server
Group: Sound
BuildRequires: libmas-devel
Requires: %bname-plugins = %{version}-%release
Provides:	%bname-audiosink

%description -n %bname-mas
Output plugin for GStreamer for use with the mas sound server.

%files -n %bname-mas
%defattr(-, root, root)
%doc ext/esd/README
%{_libdir}/gstreamer-%{majorminor}/libgstmassink.so

%post -n %bname-mas
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-mas
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null

%package -n %bname-nas
Summary: Gstreamer output plugin for the NAS sound server
Group: Sound
BuildRequires: libnas-devel
Requires: %bname-plugins = %{version}-%release
Provides:	%bname-audiosink

%description -n %bname-nas
Output plugin for GStreamer for use with the nas sound server.

%files -n %bname-nas
%defattr(-, root, root)
%doc ext/esd/README
%{_libdir}/gstreamer-%{majorminor}/libgstnassink.so

%post -n %bname-nas
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-nas
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%package -n %bname-ffmpeg
Summary: Gstreamer plugin for the ffmpeg codec
Group: Video
#BuildRequires: libffmpeg0.4.6-devel >= 0.4.6-0.20021209.1mdk
Requires: %bname-plugins = %{version}-%release

%description -n %bname-ffmpeg
Video codec plugin for GStreamer based on the ffmpeg libraries.

%files -n %bname-ffmpeg
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstffmpeg.so

%post -n %bname-ffmpeg
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-ffmpeg
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


### FLAC ###
%package -n %bname-flac
Summary:       GStreamer plug-in for FLAC lossless audio.
Group:         Sound
Requires:      %bname-plugins = %{version}-%release
BuildRequires: libflac-devel >= 1.0.4

%description -n %bname-flac
Plug-in for the free FLAC lossless audio format.

%files -n %bname-flac
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstflac.so

%post -n %bname-flac
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-flac
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


### GNOME VFS 2 ###
%package -n %bname-gnomevfs
Summary: GStreamer plug-ins for GNOME VFS input and output
Group: Sound
Requires: gnome-vfs2 > 1.9.4.00
Requires: %bname-plugins = %{version}-%release
BuildRequires: gnome-vfs2-devel > 1.9.4.00

%description -n %bname-gnomevfs
Plug-Ins for reading and writing through GNOME VFS.

%files -n %bname-gnomevfs
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstgnomevfs.so

%post -n %bname-gnomevfs
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-gnomevfs
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


### GSM ###
%package -n %bname-gsm
Summary: GStreamer plugin for GSM lossy audio format
Group: Sound
Requires: gsm >= 1.0.10
Requires: %bname-plugins = %{version}-%release
BuildRequires: gsm-devel >= 1.0.10

%description -n %bname-gsm
Output plugin for GStreamer to convert to GSM lossy audio format.

%files -n %bname-gsm
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstgsm.so

%post -n %bname-gsm
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-gsm
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null



### HERMES ###
%package -n %bname-colorspace
Summary: Gstreamer colorspace conversion plugin
Group: Video
Requires: %bname-plugins = %{version}-%release
BuildRequires: Hermes-devel => 1.3.0
%description -n %bname-colorspace
Colorspace plugin based on Hermes library

%files -n %bname-colorspace
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstcolorspace.so
%{_libdir}/gstreamer-%{majorminor}/libgsthermescolorspace.so

%post -n %bname-colorspace
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-colorspace
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


### HTTP ###
%if 0
%package -n %bname-httpsrc
Summary:       GStreamer plug-in for http using libghttp.
Group:         System/Libraries
Requires:      %bname-plugins = %{version}-%release
BuildRequires: libghttp-devel => 1.0.9

%description -n %bname-httpsrc
Plug-in supporting the http protocol based 
on the libghttp library.

%files -n %bname-httpsrc
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgsthttpsrc.so

%post -n %bname-httpsrc
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-httpsrc
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null

%endif

#### JACK AUDIO CONNECTION KIT ###
%package -n %bname-jack
Summary:  GStreamer plug-in for the Jack Sound Server.
Group:    Sound
Requires: %bname-plugins = %{version}-%release
BuildRequires: libjack-devel => 0.28.0
Provides:	%bname-audiosrc
Provides:	%bname-audiosink

%description -n %bname-jack
Plug-in for the JACK professional sound server.

%files -n %bname-jack
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstjack.so

%post -n %bname-jack
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-jack
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


### JPEG ###
%package -n %bname-jpeg
Summary: Gstreamer plugin for jpeg images
Group: Video
Requires: %bname-plugins = %{version}-%release
BuildRequires: libjpeg-devel

%description -n %bname-jpeg
Output plugin for GStreamer using libjpeg

%files -n %bname-jpeg
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstjpeg.so

%post -n %bname-jpeg
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-jpeg
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


### LADSPA ###
%package -n %bname-ladspa
Summary: Gstreamer wrapper for LADSPA plug-ins.
Group: Sound
Requires: %bname-plugins = %{version}-%release
Requires:      ladspa
BuildRequires: ladspa-devel

%description -n %bname-ladspa
Plug-in which wraps LADSPA plug-ins for use by GStreamer applications.
We suggest you also get the cmt package of ladspa plug-ins
and steve harris's swh-plugins package.

%files -n %bname-ladspa
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstladspa.so

%post -n %bname-ladspa
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-ladspa
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%if %build_lame
### LAME ###
%package -n %bname-lame
Summary: GStreamer plug-in encoding mp3 songs using lame.
Group:  Sound
Requires: %bname-plugins = %{version}
BuildRequires: liblame-devel >= 3.89

%description -n %bname-lame
Plug-in for encoding mp3 with lame under GStreamer.

%files -n %bname-lame
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstlame.so

%post -n %bname-lame
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-lame
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null

%endif

### LIBDV ###
%package -n %bname-dv
Summary:       GStreamer DV plug-in.
Group:         Video
Requires:      %bname-plugins = %{version}-%release
BuildRequires: libdv-devel >= 0.98

%description -n %bname-dv
Plug-in for digital video support using libdv.

%files -n %bname-dv
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstdvdec.so

%post -n %bname-dv
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-dv
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%if %build_libfame
### LIBFAME ###
%package -n %bname-libfame
Summary:       GStreamer plug-in to encode MPEG1/MPEG4 video.
Group:         Video
Requires:      %bname-plugins = %{version}
BuildRequires: libfame-devel >= 0.9.0

%description -n %bname-libfame
Plug-in for encoding MPEG1/MPEG4 video using libfame.

%files -n %bname-libfame
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstlibfame.so

%post -n %bname-libfame
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-libfame
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null

%endif

### MAD ###
%package -n %bname-mad  
Summary: Plugin using MAD for mp3 decoding.
Group: Sound
Requires: %bname-plugins = %{version}-%release
Requires: %bname-audio-formats =  %{version}-%release
BuildRequires: mad-devel >= 0.13.0
BuildRequires: libid3tag-devel >= 0.13.0

%description -n %bname-mad
Plugin for playback of mp3 songs using the very good MAD library.

%files -n %bname-mad
%defattr(-, root, root)  
%{_libdir}/gstreamer-%{majorminor}/libgstmad.so

%post -n %bname-mad
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-mad
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


### MIKMOD ###
%package -n %bname-mikmod
Summary: GStreamer Mikmod plug-in.
Group: Sound
Requires: %bname-plugins = %{version}-%release
BuildRequires: libmikmod-devel

%description -n %bname-mikmod
Plugin for playback of module files supported by mikmod under GStreamer.

%files -n %bname-mikmod
%defattr(-, root, root)
%doc ext/mikmod/README
%{_libdir}/gstreamer-%{majorminor}/libgstmikmod.so

%post -n %bname-mikmod
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-mikmod
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null

%if %build_jpegmmx
### MJPEGTOOLS ###
%package -n %bname-jpegmmx
Summary:       GStreamer mjpegtools plug-in.
Group:         Video
Requires:      %bname-plugins = %{version}-%release
BuildRequires: libmjpegtools-devel > 1.6.1.92-1mdk

%description -n %bname-jpegmmx
mjpegtools-based encoding and decoding plug-in.

%files -n %bname-jpegmmx
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstmplex.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpeg2enc.so

%post -n %bname-jpegmmx
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-jpegmmx
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null
%endif

### MPEG2DEC ###
%package -n %bname-mpeg
Summary:GStreamer plug-ins for MPEG video playback and encoding.
Group:         Video
Requires:      %bname-plugins = %{version}-%release
BuildRequires: libmpeg2dec-devel => 0.3.1

%description -n %bname-mpeg
Plug-ins for playing and encoding MPEG video.

%files -n %bname-mpeg
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstmpeg1systemencode.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpegaudio.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpegaudioparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstmp1videoparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpegstream.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpeg2dec.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpeg2subt.so

%post -n  %bname-mpeg
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n  %bname-mpeg
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%if %build_plf
%if 0
### OPENQUICKTIME ###
%package -n %bname-openquicktime
Summary: GStreamer OpenQuicktime video Plug-in.
Group: Video
Requires: %bname-plugins = %{version}
BuildRequires: openquicktime-devel => 0.9

%description -n %bname-openquicktime
Plug-in which uses the OpenQuicktime library
from 3ivx to play Quicktime movies.
(http://openquicktime.sourceforge.net/)

%files -n %bname-openquicktime
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstopenquicktimedemux.so
%{_libdir}/gstreamer-%{majorminor}/libgstopenquicktimetypes.so
%{_libdir}/gstreamer-%{majorminor}/libgstopenquicktimedecoder.so

%post -n  %bname-openquicktime
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n  %bname-openquicktime
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null

%endif
%endif

### RAW1394 ###
%package -n %bname-raw1394
Summary:       GStreamer raw1394 Firewire plug-in.
Group:         System/Libraries
Requires:      %bname-plugins = %{version}-%release
BuildRequires: libraw1394-devel

%description -n %bname-raw1394
Plug-in for digital video support using raw1394.

%files -n %bname-raw1394
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgst1394.so

%post -n %bname-raw1394
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-raw1394
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%if %build_faad
%package -n %bname-faad
Summary:GStreamer plug-ins for AAC audio playback.
Group:         Sound
Requires:      %bname-plugins = %{version}
BuildRequires: libfaad2-devel => 2.0
 
%description -n %bname-faad
Plug-ins for playing AAC audio
 
%files -n %bname-faad
%defattr(-, root, root)
%_libdir/gstreamer-%{majorminor}/libgstfaad.so

%post -n  %bname-faad
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null

 
%postun -n  %bname-faad
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null
%endif

%if %build_faac
%package -n %bname-faac
Summary:GStreamer plug-ins for AAC audio encoding.
Group:         Sound
Requires:      %bname-plugins = %{version}
BuildRequires: libfaac-devel
 
%description -n %bname-faac
Plug-ins for encoding AAC audio
 
%files -n %bname-faac
%defattr(-, root, root)
%_libdir/gstreamer-%{majorminor}/libgstfaac.so

%post -n  %bname-faac
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null

 
%postun -n  %bname-faac
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null
%endif

%if %build_xvid
%package -n %bname-xvid
Summary:GStreamer plug-ins for XVID video encoding and decoding
Group:         Video
Requires:      %bname-plugins = %{version}
BuildRequires: xvid-devel => 1.0
 
%description -n %bname-xvid
Plug-ins for encoding and decoding XVID video.
 
%files -n %bname-xvid
%defattr(-, root, root)
%_libdir/gstreamer-%{majorminor}/libgstxvid.so

%post -n  %bname-xvid
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null

 
%postun -n  %bname-xvid
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null
%endif

### SIDPLAY ###
%package -n %bname-sid
Summary: GStreamer Sid C64 music plugin
Group: Sound
Requires: %bname-plugins = %{version}-%release
BuildRequires: sidplay-devel => 1.36.0
%description -n %bname-sid
Plugin for playback of C64 SID format music files

%files -n %bname-sid
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstsid.so

%post -n %bname-sid
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-sid
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


### SDL ###
%package -n %bname-SDL
Summary: Gstreamer plugin for outputing video to SDL.
Group: Video
Requires: %bname-plugins = %{version}-%release
BuildRequires: SDL-devel >= 1.2.0
Provides: %bname-sdl
Obsoletes: %bname-sdl

%description -n %bname-SDL
Plug-in for sending video output to the Simple Direct Media architecture.
(http://www.libsdl.org). Useful for full-screen playback.

%files -n %bname-SDL
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstsdlvideosink.so

%post -n %bname-SDL
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-SDL
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%if %build_plf
%if 0
### SHOUT ###
%package -n %bname-icecast
Summary: GStreamer Icecast plug-in using libshout.
Group: Sound
Requires: %bname-plugins = %{version}
BuildRequires: libshout-devel >= 1.0.5
%description -n %bname-icecast
Plug-in for broadcasting audio to the Icecast server.

%files -n %bname-icecast
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstshout.so

%post -n %bname-icecast
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-icecast
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null

%endif
%endif

### VORBIS ###
%package -n %bname-vorbis
Summary: Gstreamer plugin for encoding and decoding Ogg Vorbis audio files
Group: Sound
Requires: %bname-plugins = %{version}-%release
BuildRequires: libvorbis-devel >= 1.0-4mdk

%description -n %bname-vorbis
Plug-Ins for creating and playing Ogg Vorbis audio files.

%files -n %bname-vorbis  
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstogg.so
%{_libdir}/gstreamer-%{majorminor}/libgstvorbis.so

%post -n %bname-vorbis
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-vorbis
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%package -n %bname-speex
Summary: Gstreamer plugin for encoding and decoding Ogg Speex audio files
Group: Sound
Requires: %bname-plugins = %{version}-%release
BuildRequires: libspeex-devel 

%description -n %bname-speex
Plug-Ins for creating and playing Ogg Speex audio files.

%files -n %bname-speex  
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstspeex.so

%post -n %bname-speex
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-speex
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null

%if %build_v4l2
### VIDEO 4 LINUX 2 ###
%package -n %bname-v4l2
Summary:       GStreamer Video for Linux 2 plug-in.
Group:         Video
Requires:      %bname-plugins = %{version}

%description -n %bname-v4l2
Plug-in for accessing Video for Linux devices.

%files -n %bname-v4l2
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstvideo4linux2.so

%post -n %bname-v4l2
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-v4l2
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null
%endif

### packages without external dependencies ###
### audio-formats ###
%package -n %bname-audio-formats
Summary: GStreamer audio format plugin
Group: Sound
Requires: %bname-plugins = %{version}-%release

%description -n %bname-audio-formats
Plug-in for playback of wav, au and mod audio files as well as mp3 type.

%files -n %bname-audio-formats
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstwavparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstauparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstmodplug.so
%{_libdir}/gstreamer-%{majorminor}/libgstwavenc.so
#gw the official package has this in the main package:
%{_libdir}/gstreamer-%{majorminor}/libgstid3types.so

%post -n %bname-audio-formats
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-audio-formats
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


### FESTIVAL ###
%package -n %bname-festival
Summary: GStreamer plug-in for text-to-speech support using a festival server.
Group: Sound
Requires: %bname-plugins = %{version}-%release
Requires: festival >= 1.4.1

%description -n %bname-festival
Plug-in for text-to-speech using the festival server.

%files -n %bname-festival
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstfestival.so

%post -n %bname-festival
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-festival
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%if %build_qcam
### qcam ###
%package -n %bname-qcam
Summary: GStreamer QuickCam plugin
Group: Video
Requires: %bname-plugins = %{version}-%release

%description -n %bname-qcam
Plug-in for accessing a Quickcam video source.

%files -n %bname-qcam
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstqcam.so

%post -n %bname-qcam
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-qcam
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null

%endif

%package -n %bname-visualisation
Summary: GStreamer visualisations plug-ins.
Group: Video
Requires: %name = %{version}-%release

%description -n %bname-visualisation
Various plug-ins for visual effects to use with audio.
This includes smoothwave, spectrum, goom, chart, monoscope, synaesthesia
and vumeter.

%files -n %bname-visualisation
%defattr(-, root, root)
%doc ext/smoothwave/README
%{_libdir}/gstreamer-%{majorminor}/libgstsmooth.so
%{_libdir}/gstreamer-%{majorminor}/libgstspectrum.so
#%{_libdir}/gstreamer-%{majorminor}/libgstvumeter.so
%{_libdir}/gstreamer-%{majorminor}/libgstgoom.so
%{_libdir}/gstreamer-%{majorminor}/libgstchart.so
%{_libdir}/gstreamer-%{majorminor}/libgstmonoscope.so
%{_libdir}/gstreamer-%{majorminor}/libgstsynaesthesia.so
%{_libdir}/gstreamer-%{majorminor}/libgstsmoothwave.so

%post -n %bname-visualisation
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-visualisation
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


# Dependency free Quicktime demuxer
%package -n %bname-quicktime
Summary:       GStreamer Quicktime demuxer video Plug-in.
Group:         Video
Requires:      %name = %{version}-%release

%description -n %bname-quicktime
Plug-in for demuxing Quicktime movies

%files -n %bname-quicktime
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstqtdemux.so

%post -n %bname-quicktime
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%postun -n %bname-quicktime
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null


%package -n %bname-asf
Summary:        GStreamer plug-in for asf video format.
Group:          Video
Requires:       %name = %{version}-%release
%description -n %bname-asf
Plug-in for playing ASF movies under GStreamer.
                                                                               
%files -n %bname-asf
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstasf*
                                                                                
%post -n %bname-asf
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null
                                                                                
%postun -n %bname-asf
%{_bindir}/gst-register-%{majorminor} > /dev/null 2> /dev/null

# package supporting GConf
%package -n %bname-GConf
Summary: 	GStreamer GConf schemas.
Group: 		System/Libraries
Requires: 	%name = %{version}-%release
Requires:	%libgstgconf = %version-%release
Requires: 	GConf2
BuildRequires: 	libGConf2-devel
Provides:	%bname-play	
Obsoletes:	%bname-play	

%description -n %bname-GConf
Installation of GStreamer GConf schemas.
These set usable defaults used by all GStreamer-enabled Gnome applications.

%files -n %bname-GConf
%defattr(-, root, root)
%{_sysconfdir}/gconf/schemas/%bname.schemas

%post -n %bname-GConf
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%bname.schemas > /dev/null

%package -n %libgstgconf
Group: 		System/Libraries
Summary: 	GStreamer GConf shared library 

%description -n %libgstgconf
This is a shared library for the GNOME GConf configuration system.

%files -n %libgstgconf
%defattr(-, root, root)
%{_libdir}/libgstgconf-%{majorminor}.so.*

%post -n %libgstgconf -p /sbin/ldconfig
%postun -n %libgstgconf -p /sbin/ldconfig


%changelog
* Sat Feb  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.4-2mdk
- add missing plugin
- fix buildrequires
- fix directory ownership

* Fri Feb  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.4-1mdk
- add translations and new headers
- add nas plugin
- add caca plugin
- disable v4l2 plugin
- reenable dxr3 and jpegmmx
- drop merged patch 0
- new version

* Mon Jan  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.3-2mdk
- add some more build conditionals
- patch for mpeg2dec 0.4.0

* Tue Dec 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.3-1mdk
- update major
- update file list
- disable mjpegtools mpeg2enc build
- readd mjpegtools package
- new version

* Wed Dec  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.2-1mdk
- fix sidplay buildrequires
- fix post scripts
- new split packages: x11, gdkpixbuf
- obsolete yuv4mpeg, cdplayer, videotest, snapshot, png, oss
- obsolete vcd, udp, xvideosink, flx, audio-effects, rtp, video-effects
- disable dxr3
- add new plugins: mas, speex, asf
- add new plf plugins: faad faac
- fix buildrequires
- don't libtoolize
- new version

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.4-1mdk
- fix build with new arts packaeg
- fix buildrequires
- new version

* Tue Sep  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.3-3mdk
- fix buildrequires

* Sat Aug 30 2003 David Baudens <baudens@mandrakesoft.com> 0.6.3-2mdk
- Rebuild to fix unsatisfied libgstgconf0.6[== 0.6.3-1mdk]

* Thu Aug 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.3-1mdk
- the festival package requires festival
- only enable qcam on x86
- new version

* Mon Jul 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-4mdk
- fix dvdread and dvdnav build requirements

* Fri Jul 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-3mdk
- rebuild for new rpm

* Fri Jun 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-2mdk
- fix buildrequires

* Tue Jun 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-1mdk
- fix requirement for gstreamer
- fix --with switch
- new version

* Wed May 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-3mdk
- new dvdnav

* Tue Apr 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-2mdk
- fix buildrequires

* Mon Apr 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-1mdk
- adapt dxr3 buildrequirement 
- fix file list
- drop merged patches 0 and 6
- new version

* Wed Apr 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-5mdk
- plf: disable the shoutcast plugin

* Tue Apr 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-4mdk
- patch 0 from CVS to update dvdnav plugin to the new api
- requires latest audiofile package version
- reenable audiofile package

* Mon Feb 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-3mdk
- disable audiofile plugin and patch0

* Thu Feb 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-2mdk
- enable festival plugin, but comment out the requirement for festival

* Sun Feb  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-1mdk
- add changes from official spec file:
  - add virtual provides gstreamer-gconf-devel to the plugins-devel package
  - adapt file list
  - fix buildrequires of xvideo package 
- new version

* Thu Jan 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.2-2mdk
- reenable swfdec plugin

* Thu Jan 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.2-1mdk
- disable swfdec plugin
- mklibname macros
- add aviparse plugin
- new major 
- new version

* Thu Jan 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-3mdk
- clean out all plf packages in mdk build to please Charles A Edwards
- drop patch 7, not needed

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-1mdk
- Recompiled against latest openssl

* Tue Jan  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-1mdk
- add virtual provides for audio sources and sinks
- add new plugins: vbidec to video-effects, oneton to audio-effects
- fix build for broken ffmpeg (patch6)
- enable ffmpeg plugin
- drop workaround for broken rpm macro
- drop patch 5
- new version

* Fri Dec 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-5mdk
- work around the v4l problem with patch 6
- rebuild for new glibc

* Wed Dec 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-4mdk
- force compilation of the v4l plugin
- enable v4l2 plugin
- only buildrequire nasm on x86 architectures

* Mon Dec 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-3mdk
- disable ffmpeg plugin for now
- patch5 for new mpeg2dec

* Thu Dec 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-2mdk
- libtoolize to fix modplug

* Wed Dec 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-1mdk
- merge with offical spec file:
  - disable gst-compprep calls in the post* scripts
  - add libpng package
  - change location of the plugins to %_libdir/%name-%{majorminor}
- drop buildrequires for automake1.6
- drop patches 1,2,3,5 (upstream)
- new version

* Tue Dec  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-7mdk
- fix linking of mpeg2dec plugin

* Tue Dec  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-6mdk
- patch from CVS to let mpeg2dec plugin build with the new version
- let gstreamer-GConf obsolete the gstreamer-play package

* Tue Nov 26 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.4.2-5mdk
- patch for PPC build (patch4)

* Wed Nov 13 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-4mdk
- clean uninstalled files
- add missing plugins: dxr3, httpsrc

* Fri Nov  8 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-3mdk
- patch3: fix gst-launch ext (thanks Tim Lee)

* Wed Nov  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-2mdk
- patch1: fix swfdec detection
- enable swfdec plugin

* Tue Nov  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-1mdk
- split out libgstplay and libgstgconf to library packages
- patch 0: fix audiofile detection
- disable v4l2
- disable parallel build 
- big sync with offical package
  * add new headers to devel package
  * adapt post/postun scripts
  * add new packages: cdplayer, videotest, snapshot, quicktime, play
  * add windec package (plf)
  * rename dvdnav package to libdvdnav
- buildrequires libflac4-devel for flac package
- drop patches 0,1,3,4  
- new version

* Thu Oct 24 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-14mdk
- buildrequire libflac3-devel for flac package 
- enable mjpegtools subpackage

* Wed Sep 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-13mdk
- enable jack package
- fix a typo in festival package

* Wed Sep 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.0-12mdk
- Register plugins using post/postun scripts for all subpackages
- Mad plugin requires audio-format plugins (otherwise gst-player and monkey-media can't play mp3)

* Fri Aug 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-11mdk
- gcc 3.2 rebuild

* Tue Aug  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-10mdk
- patch vorbis autoconf check for version 1.0
- remove manual build/installation of vorbis plugin

* Mon Aug  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-9mdk
- rebuild against new libdvdnav

* Wed Jul 31 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-8mdk
- libdv2
- fix dv plugin
- fix libraw1394 plugin

* Mon Jul 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-7mdk
- merge with plf package, enable with --with plf

* Mon Jul 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-6mdk
- manually build vorbis plugin

* Thu Jul 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-5mdk
- enable flac plugin
- patch to update the flac plugin 

* Thu Jul 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-4mdk
- rebuild with mpeg2dec 0.2.1
- drop mpeg2dec patch

* Tue Jul  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-3mdk
- build mpeg2 plugin
- patch mpeg2dec detection to work with our version

* Sun Jul  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-2mdk
- libtoolize to fix C++ linking
- minor spec fixes
- rename sdl package to SDL to match official package

* Sat Jul  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-1mdk
- disable flac, doesn't build with 1.0.3
- add xvideosink package
- add http package
- enable avifile, libdv, dvdnav, dxr3
- merge with official spec
- 0.4.0

* Wed Jul  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.4-5mdk
- add some individual READMEs to the doc section
- fix buildrequires
- speed up build

* Wed Jul  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.4-4mdk
- add some more files
- more buildrequires

* Tue Jul  2 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.4-3mdk
- patch away -Werror to make everything build
- enable aa, arts, dvdread, mikmod, sid plugins
- spec fixes

* Mon Jul 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.4-2mdk
- remove lame & shout plugins

*Tue Jun 25 2002 Charles A Edwards <eslrahc@bellsouth.net> 0.3.4-1mdk
- initial Mandrake build
- modified other spec
